Class | Chef::Knife::Core::ObjectLoader
In: | lib/chef/knife/core/object_loader.rb
Parent: | Object

### Methods

file_exists_and_is_readable? find_all_object_dirs find_all_objects find_file load_from new object_from_file

### Classes and Modules

Class Chef::Knife::Core::ObjectLoader::ObjectType

### Attributes

klass | [R] |
ui | [R] |

### Public Class methods

new(klass, ui)

### Public Instance methods

file_exists_and_is_readable?(file)
find_all_object_dirs(path)
find_all_objects(path)

Find all objects in the given location If the object type is File it will look for all *.{json,rb} files, otherwise it will lookup for folders only (useful for data_bags)

@param [String] path - base look up location

@return [Array<String>] basenames of the found objects

@api public

find_file(repo_location, *components)

When someone makes this awesome, please update the above error message.

load_from(repo_location, *components)
object_from_file(filename)

[Validate]